#include "refreshservice.h"

RefreshService *RefreshService::svc = nullptr;


void RefreshService::startService()
{
    if(svc != nullptr)
        return;

    svc = new RefreshService();
}

void RefreshService::stopService()
{
    if(svc != nullptr)
        svc->deleteLater();
    svc = nullptr;
}

void RefreshService::connectedToWebSocket()
{
    mNotifsHelper.getNewNotificationsNumbers();
}

RefreshService::RefreshService()
{
    qDebug("Start refresh service");

    connect(&mWsClient, &WsClient::connected, this, &RefreshService::connectedToWebSocket);
}

RefreshService::~RefreshService()
{
    qDebug("Stop refresh service");
}
